summaryrefslogtreecommitdiffstats
path: root/Utilities/Scripts/update-cppdap.bash
diff options
context:
space:
mode:
Diffstat (limited to 'Utilities/Scripts/update-cppdap.bash')
-rwxr-xr-xUtilities/Scripts/update-cppdap.bash30
1 files changed, 30 insertions, 0 deletions
diff --git a/Utilities/Scripts/update-cppdap.bash b/Utilities/Scripts/update-cppdap.bash
new file mode 100755
index 0000000..fd4f8cb
--- /dev/null
+++ b/Utilities/Scripts/update-cppdap.bash
@@ -0,0 +1,30 @@
+#!/usr/bin/env bash
+
+set -e
+set -x
+shopt -s dotglob
+
+readonly name="cppdap"
+readonly ownership="cppdap Upstream <kwrobot@kitware.com>"
+readonly subtree="Utilities/cmcppdap"
+readonly repo="https://github.com/google/cppdap.git"
+readonly tag="03cc18678ed2ed8b2424ec99dee7e4655d876db5" # 2023-05-25
+readonly shortlog=false
+readonly paths="
+ LICENSE
+ include
+ src
+"
+
+extract_source () {
+ git_archive
+
+ pushd "${extractdir}/${name}-reduced"
+ echo "* -whitespace" > .gitattributes
+ fromdos LICENSE include/dap/* src/*
+ echo "" >> LICENSE
+ echo "" >> src/nlohmann_json_serializer.h
+ popd
+}
+
+. "${BASH_SOURCE%/*}/update-third-party.bash"